%global srcname octodns_bind

Name:           octodns-bind
Version:        0.0.6
Release:        1%{?dist}
Summary:        BIND provider for octoDNS
License:        MIT
URL:            https://github.com/octodns/%{name}/
Source0:        https://github.com/octodns/%{name}/archive/v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%{?python_enable_dependency_generator}

%description
An octoDNS provider that targets Bind and other standards compliant servers.
It includes support for sourcing records via AXFR, reading zone files, and
fully managing records with RFC 2136.


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
An octoDNS provider that targets Bind and other standards compliant servers.
It includes support for sourcing records via AXFR, reading zone files, and 
fully managing records with RFC 2136.

%prep
%autosetup -p0 -n %{name}-%{version}


%build
%py3_build


%install
%py3_install



%files -n  python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md CHANGELOG.md
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/

%changelog
* Mon Jun 24 2024 Tim Jackson <rpm@timj.co.uk> 0.0.6-1
- Update to 0.0.6

* Mon Nov 13 2023 Tim Jackson <rpm@timj.co.uk> 0.0.5-1
- Initial build

